import React, { useState } from "react";
import { noop, enterKeyPressed } from "../../utils";

import "./Omnibar.css";

export default function Omnibar({ onSearch = noop, onEnter = noop }) {
    const [text, setText] = useState("");

    const onTextChange = text => setText(text) || onSearch(text);
    const onEnterKey = () => {
        onEnter(text);
        onTextChange("");
    };

    return (
        <div className="Omnibar">
            <input
                type="text"
                placeholder='Type here to search. Type here and press "enter" to create a note.'
                onChange={({ target }) => onTextChange(target.value)}
                value={text}
                onKeyPress={enterKeyPressed(onEnterKey)}
            />
        </div>
    );
}
