import { applyMiddleware, createStore, combineReducers } from "redux";
import thunkMiddleware from "redux-thunk";
import { createLogger } from "redux-logger";
import { reducer as noteReducer, actions as acts } from "./notes";
import { reducer as settingsReducer } from "./settings";

const loggerMiddleware = createLogger();

const reducer = combineReducers({
    settings: settingsReducer,
    notes: noteReducer
});
// note CRUD
export const store = createStore(
    reducer,
    applyMiddleware(thunkMiddleware, loggerMiddleware)
);
export const actions = acts;
