import { getSettings as getSettingsbackend } from "./api";

import { defaultSettings } from "../server/backend/settings";

const initialState = {
    settings: { ...defaultSettings },
    loading: false,
    error: null
};

export const reducer = (cs = initialState, { type, payload }) => {
    switch (type) {
        case "GET_SETTINGS_START":
            return { ...cs, loading: true };
        case "GET_SETTINGS_SUCCESS":
            return { ...cs, settings: { ...payload.settings }, loading: false };
        case "GET_SETTINGS_FAIL":
            return { ...cs, error: payload.error, loading: false };
        default:
            return { ...cs };
    }
};
